<template>
  <span class="modal_1">
    <div class="modal active" id="modal-id">
      <a class="modal-overlay" aria-label="Close"></a>
      <div class="modal-container " id ="modalContainer" v-bind:class="{ inactive: display_2 }">
        <div class="modal-header" v-bind:class="{ inactive: display_2 }">
          <div class="heading" v-if="display_1">
            <a v-on:click="closeModal" class="btn btn-clear float-right close-btn" aria-label="Close"></a>
            <div class="modal-title h5">Add Employee </div>
            <div class="modal-title small_text ">Employee Information</div>
          </div>
          <div class="heading1" v-if="display_2" >
            <p class="alert alert-info info-alert" role="alert" v-bind:class="{ show_success: successful }">{{this.value.first_name}} {{this.value.surname}} has been created</p>
            <a v-on:click="closeModal" class="btn btn-clear float-right close-btn" aria-label="Close"></a>
            <div class="modal-title h5">{{this.value.first_name}}  {{this.value.surname}} </div>
            <div class="modal-title small_text1">{{this.value.role}}</div>
          </div>
          <div class="heading" v-if="display_3">
            <a v-on:click="closeModal" class="btn btn-clear float-right close-btn" aria-label="Close"></a>
            <div class="modal-title h5">Edit Employee </div>
              <div class="modal-title small_text ">Employee Information</div>
          </div>
        </div>
        <div class="modal-body" v-bind:class="{ inactive: display_2 }">
          <div class="modal_content" id="content">
            <!-- content here -->
            <EditEmployee :currentEmployee=currentEmployee v-if="display_3"/>
            <CreateEmployee @submit="populateShowPage"  v-if="display_1"  :display_1="isActive" />
            <ShowEmployee @submit="populateEditForm" :value=value v-if="display_2" />
          </div>
        </div>
       </div>
      </div>
    </span>
</template>

<script>

import CreateEmployee from './create-employee.vue'
import ShowEmployee from './show-employee.vue'
import EditEmployee from './edit-employee.vue'
export default {
  name:'modal_1',
  components: {
    CreateEmployee, ShowEmployee, EditEmployee
  },
  data(){
    return {
      successful: false,
      currentEmployee:'',
      display_1:true,
      display_2:false,
      display_3:false,
      title: '',
      first_name: ' ',
      surname: ' ',
      middle_name: ' ',
      email: ' ',
      country: ' ',
      phone: ' ',
      address: ' ',
      state: ' ',
      dob: ' ',
      role: ' ',
      gender: ' ',
      marital_status: ' ',
      children: ' ',
      dependents: ' ',
      value:"",
      isActive :false,
      count: 0,
      
    }  
  },
  methods: {
    
    closeModal:function (event) {
      this.display_2=false;
      this.display_3=false;
      this.display_1=true;
      this.$emit('close-modal');
    },
      
    populateShowPage:function(employee){
      this.value=employee;
      this.display_1=false
      this.display_2=true
      setTimeout (()=> {
      this.successful = true }, 3000);
    },
    populateEditForm:function(currentEmployee, display1, display2){
      this.display_3=display1,
      this.display_2=display2,
      this.currentEmployee=currentEmployee;
    }
  }
}

</script>
<style >

</style>